Page MenuHomePhabricator

Parse the links in the block reason on IP User block notice on mobile
Closed, ResolvedPublic

Description

T193754 converted the block notice for IP users on mobile to use the block drawer, but links in the block reason were not parsed in the drawer since a parsed block reason was not available in the API. After T194530 is complete, links in the block reason should be parsed in the drawer.

Event Timeline

dbarratt created this task.May 12 2018, 4:55 AM
Restricted Application added subscribers: MGChecker, Aklapper. · View Herald TranscriptMay 12 2018, 4:55 AM
dbarratt renamed this task from Add the block reason to the IP User block notice on mobile to Parse the links in the block reason on IP User block notice on mobile.May 12 2018, 1:03 PM
dbarratt updated the task description. (Show Details)
TBolliger moved this task from Untriaged to Backlog on the Anti-Harassment board.May 29 2018, 4:14 PM
TBolliger moved this task from Backlog to User blocking on the MediaWiki-User-management board.
Vvjjkkii renamed this task from Parse the links in the block reason on IP User block notice on mobile to p2caaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from p2caaaaaaa to Parse the links in the block reason on IP User block notice on mobile.Jul 2 2018, 4:16 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
matmarex closed this task as Resolved.Jul 30 2018, 1:26 PM
matmarex claimed this task.
matmarex added a project: MobileFrontend.
matmarex added a subscriber: matmarex.

After https://gerrit.wikimedia.org/r/c/mediawiki/extensions/MobileFrontend/+/444779, the block reasons are parsed using mw.jqueryMsg. It supports a small subset of wikitext, but conveniently it includes links. If there is any formatting that can't be parsed, it falls back to showing the wikitext (in particular, it doesn't parse templates, see T189717).